Subject: build sometimes hangs in pselect

From: Glenn Morris <[email-masked]>
Date: Mon, 12 Dec 2016 15:15:37 -0500

Package: emacs
Version: 26.0.50

Current master, rhel 7.2, x86_64. gcc 4.8.5, glibc 2.17.
configure --without-gconf --without-gsettings \
  -with-x-toolkit=athena --without-toolkit-scroll-bar

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS NOTIFY ACL
LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB LUCID X11

Sometimes when I build emacs with:

make -j8 bootstrap

it hangs forever doing this:

../src/bootstrap-emacs -batch --no-site-file --no-site-lisp \
   -l international/quail \
   --eval (update-leim-list-file (unmsys--file-name "./../lisp/leim"))

There is no CPU usage. strace shows:

pselect6(10, [9], [], NULL, {99962, 699412864}, {NULL, 8}

This is not new (I think I first noticed it several months ago).
It happens only sometimes. When it happens, it tends to happen repeatedly.
Ie, killing the build and re-running it right away often shows the same
issue. The hang is always at the same step.